Subject: bug#20774: auto-fill doesn't work properly when first-line prefix differs in adaptive-fill-mode

From: [email-masked]
Date: Mon, 28 Aug 2017 23:55:31 -0400

> From: Samuel Freilich <[email-masked]>
>
> <[email-masked]> wrote:
>
>> Actually, it's now occuring to me that adding a position to a
>> string-width isn't quite correct either
>
> Ah right, (point) is in characters, which doesn't correspond directly to
> columns at all. I think I can avoid the extra save-excursion and make it a
> little cleaner as a result.

Looks good.  I'll wait a couple of days before pushing in case someone
finds we missed something.

>> there should be 2 spaces after the period
>
> Heresy! :-P
>
> But done. That does seem to be the most common style in the ChangeLog.

I think you'll find it's not just most common, it's official policy[1].
However, the Church of Emacs will forgive your impertinence, as long as
you don't bring up the subject of quotation marks ;) [2]

[1]: http://www.gnu.org/prep/standards/html_node/Comments.html
[2]: https://mobile.twitter.com/AMalabarba/status/641598687467163648